%global __requires_exclude perl\\(HTTP::Headers\\)$

Summary:        Choose a variant to serve
Name:           perl-HTTP-Negotiate
Version:        6.01
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/HTTP-Negotiate
Source0:        https://cpan.metacpan.org/authors/id/G/GA/GAAS/HTTP-Negotiate-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  perl-interpreter perl-generators perl(strict)
BuildRequires:  perl(:VERSION) >= 5.8.1 perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Exporter) perl(HTTP::Headers) >= 6
BuildRequires:  perl(HTTP::Request) perl(Test)
Requires:       perl(HTTP::Headers) >= 6

BuildArch:      noarch


%description
This module fully implements the HTTP content negotiation algorithm specified in 
draft-ietf-http-v11-spec-00.ps chapter 12. It allows for the selection of a preferred 
content representation based on the properties of the negotiable variants and the values
of the various Accept* header fields in the request.

%prep
%autosetup -n HTTP-Negotiate-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.01-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 6.01-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.01-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.01-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 17 2022 Wang Guodong <gordonwwang@tencent.com> - 6.01-1
- package init.
